#! /usr/bin/python3

import psycopg2
import sys
import yaml

with open('latest.build-manifest', 'r') as build_manifest_fh:
     build_manifest = yaml.safe_load(build_manifest_fh.read())
     binary_packages = [
         p['package'] for p in build_manifest['packages']['binary']
     ]

conn = psycopg2.connect("service=udd")
cursor = conn.cursor()
cursor.execute("SELECT DISTINCT package FROM lintian WHERE package = ANY(%s) AND package_type = 'binary' and package_arch IN ('all', 'amd64') and tag_type != 'overriden' and tag LIKE 'hardening%%' ORDER BY package", (binary_packages,))
print("\n".join([ row[0] for row in cursor.fetchall() ]))
